﻿
---- Lister les opérations d'un devis
---------------------------------------------------------------------
select  fo_devis, fo_sdevis, fo_entite, fo_numphase, fo_ligne, fo_sec, fo_ope, fo_sop, FO_FORMULE, fo_machine, fo_fv, fo_unite, fo_tot_qte, fo_g_f, fo_g_v, fo_quantite, fo_cadence, fo_v1 , fo_v10, FO_TOT_TPS
from fle_ope
where fo_soc = 'FPP'
and FO_DEVIS = '17010001'
and FO_SDEVIS = 1
and fo_tot_tps <> 0
and fo_machine <> ' ' and fo_fv = 'V' and fo_quantite <> 0
and fo_sec not in ('PRE', 'MST','FT', 'FRA',   'DC')
order by fo_numphase, fo_ligne;

---- Lister la configuration des LCO avec les données saisissables
---------------------------------------------------------------------
select p2_soc, p2_code, p2_libl, n.PN2_COM,
case substr(pn2_com, 2,1)
 when '1' then 'Num 1'
 when '2' then 'Num 2'
 when '3' then 'Num 3'
 when '4' then 'Num 4'
 when 'A' then 'Alpha 1 - Type : ' || substr(p2_alph, 1,3) 
 when 'B' then 'Alpha 2 - Type : ' || substr(p2_alph, 4,3)
 when 'G' then 'Alpha 3 - Type : ' || substr(p2_alph,32,3)
 when 'H' then 'Alpha 4 - Type : ' || substr(p2_alph,36,3)
 when 'D' then 'Difficulté'
 when 'F' then 'Fiche Fournisseur'
 when 'M' then 'Fiche Article'
 when 'N' then 'Fiche Machine'
end Type_saisie
from par02 p, par02note n
where p2_type = 'LCO'
and p2_soc = 'FPP'
and p.P2_ANUL = 'N'
and pn2_soc  = p2_soc
and pn2_type = p2_type
and pn2_code = p2_code
and (PN2_COM LIKE '#1%' or PN2_COM LIKE '#2%' or PN2_COM LIKE '#3%' or PN2_COM LIKE '#4%'
  or PN2_COM LIKE '#A%' or PN2_COM LIKE '#B%' or PN2_COM LIKE '#G%' or PN2_COM LIKE '#H%'
  or PN2_COM LIKE '#D%' or PN2_COM LIKE '#F%' or PN2_COM LIKE '#M%' or PN2_COM LIKE '#N%');

  
---- Lister toutes les phases et machines possibles sur un ensemble de devis
---------------------------------------------------------------------
select unique ga_numphase, ga_phase, p.P2_LIBL lib_phase,
case when g.GA_SAISIE like '  *%' then 'STR' else ' ' end STR, fo_machine
from fle_gam g, PAR02 p, fle_ope o
where ga_soc = 'FPP'
and ga_devis like '1%'
and (ga_saisie like '_*%' or ga_saisie like '__*%') 
and p.p2_soc = g.ga_soc and p.p2_code = g.ga_phase and p.p2_type = 'PHA'
and not ( (ga_ope is null or ga_ope = 0) and (ga_tot_str is null or ga_tot_str = 0) )
--- si 'N' la phase est exclue
and substr(p.p2_com, 28,1) <> 'N'  
and fo_soc = ga_soc and fo_devis = ga_devis and fo_entite = ga_entite and fo_numphase = ga_numphase
and fo_machine <> ' ' and fo_fv = 'V' and fo_quantite <> 0
order by ga_numphase, fo_machine;